rem (re)build .sln and .vcxproj files for both platforms
cmake -S . -B build64 -A x64
cmake -S . -B build32 -A Win32

rem used-specified path to hierarchy root, leave empty if CMakeLists.txt is located in your project root dir
rem e.g. ..\..
set root_rel_path=%1

rem remember cmake directory
cd > _.tmp
set /p cmake_dir= < _.tmp
del _.tmp

rem get absolute path of root directory (cmake directory + relative root) and return back to cmake dir
cd %root_rel_path%
cd > _.tmp
set /p cur_dir= < _.tmp
del _.tmp
rem construct full paths with inverted slashes (template for replacement)
SET cur_dir2=%cur_dir:\=/%
cd %cmake_dir%

rem replace absolute paths with relative to $(SolutionDir), 
rem we always add extra '..\' since solution in built in directory 1 level deeper than cmake directory (see two 1st lines of script)
rem you can use any other search-replace tool, I use my own old one

cd build32
srchrep.EXE -src "%cur_dir%" -dest "$(SolutionDir)\%root_rel_path%\..\" *.vcxproj.*
srchrep.EXE -src "%cur_dir2%" -dest "$(SolutionDir)\%root_rel_path%\..\" *.vcxproj.*
cd ..

cd build64
srchrep.EXE -src "%cur_dir%" -dest "$(SolutionDir)\%root_rel_path%\..\" *.vcxproj.*
srchrep.EXE -src "%cur_dir2%" -dest "$(SolutionDir)\%root_rel_path%\..\" *.vcxproj.*
cd ..
